Bug 844084 - NetworkManager rewrites default route when unplugging network cable
NetworkManager rewrites default route when unplugging network cable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 13:30 EDT by Darrien Lambert
Modified: 2013-02-13 08:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:56:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darrien Lambert 2012-07-28 13:30:29 EDT
Description of problem: 
-----------------------
NetworkManager rewrites default route when unplugging network cable.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
NetworkManager-0.9.4-6.git20120521.fc16.x86_64

How reproducible:
-----------------
Always.

Steps to Reproduce:
-------------------
I have two network interfaces: em1 and p3p1

em1 has static ip 192.168.1.1, does not have any routes defined and has "Use this connection only for resources on its network" option enabled.

p3p1 is DHCP-enabled connection. p3p1 receives default route via DHCP.

Also I have PPP connection which is established via p3p1. Once it's up it rewrites default route with its own. This is managed in PPP ip-up script.

When PPP connection is established, unplug the em1 cable. NetworkManager rewrites default route and sets it to the one of p3p1.

  
Actual results:
---------------
Default route is rewritten.

Expected results:
-----------------
Default route is not changed as em1 has the option "Use this connection only for resources on its network" which in reality means "do not modify route set".

Additional info:
----------------
I tried to kill NetworkManager before unplugging the cable and in that case the default route was kept unchanged. So this is definately NetworkManager issue.
Comment 1 Fedora End Of Life 2013-01-16 08:14:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:56:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.